package com.nokia.finance.tasks.pojo.vo.house_report;

import lombok.Data;

@Data
public class HouseCzqfTableVo {
    /**
     * 二级组织机构名称
     */
    private String areaName;

    /**
     * 累计欠费
     */
    private String ljqf;

    /**
     * 3个月以上欠费
     */
    private String gt3;

    /**
     * 1年以上欠费
     */
    private String gt12;

    /**
     * 同比增减
     */
    private String tbzj;

    /**
     * 本年累计新增欠费
     */
    private String xzqf;

    /**
     * 本年累计收回欠费
     */
    private String shqf;

    public HouseCzqfTableVo(String areaName) {
        this.areaName = areaName;
        this.ljqf = "";
        this.gt3 = "";
        this.gt12 = "";
        this.tbzj = "";
        this.xzqf = "";
        this.shqf = "";
    }
}
