package com.nokia.finance.tasks.pojo.vo.house_report;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;

@Data
public class HousePjczdjhlxclVo {
    /**
     * 表格
     */
    private List<HousePjczdjhlxclTableVo> table;

    public HousePjczdjhlxclVo() {
        this.table = new ArrayList<>();
        List<String> unitList = Stream.of("省本部", "石家庄", "唐山", "秦皇岛", "邯郸", "邢台", "保定", "张家口",
                "承德", "廊坊", "沧州", "衡水", "雄安", "省机动局", "全省").toList();
        for (String unit : unitList) {
            this.table.add(new HousePjczdjhlxclTableVo(unit));
        }
    }
}
