package com.nokia.finance.tasks.pojo.vo.house_report;

import lombok.Data;

@Data
public class HouseReportVo {
    public static final String PLACEHOLDER = "X";
    private Integer endYearMonth;
    /**
     * 报告年
     */
    private String reportYear;
    /**
     * 报告月
     */
    private String reportMonth;
    /**
     * 当前年
     */
    private String currentYear;
    /**
     * 当前月
     */
    private String currentMonth;
    /**
     * 资源总体情况
     */
    private HouseZyztqkVo zyztqk;
    /**
     * 房产资源总体使用效率
     */
    private HouseFczyztsyxlVo fczyztsyxl;
    /**
     * 房产出租总体情况
     */
    private HouseFcczztqkVo fcczztqk;
    /**
     * 房屋维修总体情况
     */
    private HouseFwwxztqkVo fwwxztqk;
    /**
     * 房屋闲置建筑面积监控策略
     */
    private HouseFwxzjzmjjkclVo fwxzjzmjjkcl;
    /**
     * 长期欠费出租合同监控策略
     */
    private HouseCqqfczhtjkclVo cqqfczhtjkcl;
    /**
     * 大额欠费出租合同监控策略
     */
    private HouseDeqfczhtjkclVo deqfczhtjkcl;
    /**
     * 大额零星维修监控策略
     */
    private HouseDelxwxjkclVo delxwxjkcl;
    /**
     * 高频维修监控策略
     */
    private HouseGpwxjkclVo gpwxjkcl;
    /**
     * 平均出租单价合理性策略
     */
    private HousePjczdjhlxclVo pjczhlxcl;
}
