package com.nokia.finance.tasks.pojo.vo.house_report;

import com.nokia.finance.tasks.pojo.po.house_report.HouseBuildingSameRepairFrequencyPo;
import lombok.Data;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

@Data
public class HouseGpwxjkclVo {
    /**
     * 表格
     */
    private List<HouseGpwxjkclTableVo> table;

    public HouseGpwxjkclVo(List<HouseBuildingSameRepairFrequencyPo> list) {
        this.table = new ArrayList<>();
        if (CollectionUtils.isEmpty(list)) {
            this.table.add(new HouseGpwxjkclTableVo());
            return;
        }
        for (HouseBuildingSameRepairFrequencyPo t : list) {
            this.table.add(new HouseGpwxjkclTableVo(t));
        }
    }
}
